Bug 176533 - ext3 oops/lockup with USB CF reader
ext3 oops/lockup with USB CF reader
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-24 08:12 EST by Bradley
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 07:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs of oops/sysreq-t (144.34 KB, text/plain)
2005-12-24 08:18 EST, Bradley
no flags Details

  None (edit)
Description Bradley 2005-12-24 08:12:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I plugged in a USB CF reader (with a CF card already in it). I was at the console at the time (since I'd previously tried plugging it in and had the machine lock up....) I saw the oops to the screen, and then the system locked up. I used sysreq-t (see attached) to grab a stack trace - 'normal' keypresses weren't echoing to the vty.

Before this, I'd tried a sandisk usbkey to confirm that the usb port was working - thats the /dev/sda thats showing up:

Dec 24 21:22:42 mango kernel: usb 1-2: new high speed USB device using ehci_hcd and address 6
Dec 24 21:22:42 mango kernel: scsi1 : SCSI emulation for USB Mass Storage devices
Dec 24 21:22:42 mango kernel: usb 2-1: USB disconnect, address 3
Dec 24 21:22:42 mango hal.hotplug[3610]: DEVPATH is not set (subsystem input)
Dec 24 21:22:46 mango kernel: hub 1-0:1.0: connect-debounce failed, port 1 disabled
Dec 24 21:22:47 mango kernel: ohci_hcd 0000:00:03.0: wakeup
Dec 24 21:22:47 mango kernel:   Vendor: SanDisk   Model: Cruzer Micro      Rev: 0.3
Dec 24 21:22:47 mango kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Dec 24 21:22:47 mango scsi.agent[3656]: disk at /devices/pci0000:00/0000:00:03.3/usb1/1-2/1-2:1.0/host1/target1:0:0/1:0:0:0
Dec 24 21:22:47 mango kernel: SCSI device sda: 501759 512-byte hdwr sectors (257 MB)
Dec 24 21:22:47 mango kernel: sda: Write Protect is off
Dec 24 21:22:47 mango kernel: sda: assuming drive cache: write through
Dec 24 21:22:47 mango kernel: SCSI device sda: 501759 512-byte hdwr sectors (257 MB)
Dec 24 21:22:47 mango kernel: sda: Write Protect is off
Dec 24 21:22:47 mango kernel: sda: assuming drive cache: write through
Dec 24 21:22:47 mango kernel:  sda:<6>usb 1-2: reset high speed USB device using ehci_hcd and address 6
Dec 24 21:22:47 mango kernel:  sda1
Dec 24 21:22:47 mango kernel: Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
Dec 24 21:22:48 mango kernel: usb 1-2: reset high speed USB device using ehci_hcd and address 6
Dec 24 21:22:49 mango last message repeated 3 times
Dec 24 21:22:49 mango fstab-sync[3690]: added mount point /media/SANDISK for /dev/sda1
Dec 24 21:22:49 mango kernel: ohci_hcd 0000:00:03.0: wakeup
Dec 24 21:22:49 mango kernel: usb 2-1: new low speed USB device using ohci_hcd and address 4
Dec 24 21:22:50 mango kernel: input: USB HID v1.00 Mouse [04b3:310b] on usb-0000:00:03.0-1
Dec 24 21:22:50 mango hal.hotplug[3703]: DEVPATH is not set (subsystem input)
Dec 24 21:23:08 mango kernel: usb 1-2: USB disconnect, address 6
Dec 24 21:23:08 mango fstab-sync[3750]: removed mount point /media/SANDISK for /dev/sda1
Dec 24 21:23:18 mango kernel: ohci_hcd 0000:00:03.1: wakeup
Dec 24 21:23:18 mango kernel: usb 3-1: new full speed USB device using ohci_hcd and address 4
Dec 24 21:23:18 mango kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Dec 24 21:23:24 mango kernel:   Vendor:           Model:                   Rev:
Dec 24 21:23:24 mango kernel:   Type:   Direct-Access                      ANSI SCSI revision: 00
Dec 24 21:23:25 mango kernel: usb 2-1: USB disconnect, address 4

I'll attach the logs

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Sometimes

Steps to Reproduce:
Plug in the CF card reader 

Actual Results:  Oops/lockup

Expected Results:  Not crashed/hung

Additional info:

Its possible that the CF reader is faulty - it only seems to work half the time under winxp (separate machine).
Comment 1 Bradley 2005-12-24 08:18:48 EST
Created attachment 122573 [details]
Logs of oops/sysreq-t
Comment 2 Bradley 2005-12-24 08:20:17 EST
ext3 shows up in the logs, but the usbkey isn't formatted for ext3, and neither
is the CF card - they're both vfat.

Also, fromteh logs, the ctrl-alt-del I tried using first seemed to make it
though to init, but didn't get any further....
Comment 3 Pete Zaitcev 2006-01-01 04:21:50 EST
This is not necesserily Stephen's, maybe usb-storage transferred a wrong
block of data to a wrong location or something... But I cannot figure
how that could have happened. I have SanDisk SDDR-31 and SDDR-75, they
seem to work just fine.
Comment 4 Bradley 2006-01-01 07:01:11 EST
I'm wondering if it could have been a race condition, if udev/nautilus/something
was trying to mount the one device when I'd unplugged it and plugged someting
else in before I could react?
Comment 5 Dave Jones 2006-02-03 00:18:59 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Bradley 2006-03-09 07:27:46 EST
The machine died a coiuple of weeks ago. So I'll blame this on hardware...

Note You need to log in before you can comment on or make changes to this bug.